#include <ESP8266WiFi.h>
#include <PubSubClient.h>

const char* SSID = "smartroom";
const char* PSK = "smarthome";
const char* MQTT_BROKER = "192.168.4.1";
WiFiClient espClient;
PubSubClient client(espClient);

// defines pins numbers
int ledPin = D1;  // LED on Pin 1 of ESP
int pirPin1 = D0; // Input for HC-SR501  #1
int pirPin2 = D2; // Input for HC-SR501  #2
int pirValueNeu1; // Place to read PIR Value
int pirValueAlt1 = 0; //Place to store read PIR Value
int pirAn1;
int pirAus1;
int pirValueNeu2; // Place to read PIR Value
int pirValueAlt2 = 0; //Place to store read PIR Value
int pirAn2;
int pirAus2;

char msg[50];


void setup() {
  Serial.begin(115200);
  setup_wifi();
  client.setServer(MQTT_BROKER, 1883); 
  pinMode(ledPin, OUTPUT);
  pinMode(pirPin1, INPUT);
  pinMode(pirPin2, INPUT);
  digitalWrite(ledPin, LOW);
}

void setup_wifi() {
  delay(10);
  Serial.println();
  Serial.print("Connecting to ");
  Serial.println(SSID);
  WiFi.mode(WIFI_STA);
  WiFi.begin(SSID, PSK);

  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }

  Serial.println("");
  Serial.println("WiFi connected");
  Serial.println("IP address: ");
  Serial.println(WiFi.localIP());
}

void reconnect() {
    while (!client.connected()) {
        Serial.print("Reconnecting...");
        if (!client.connect("ESP8266Client")) {
            Serial.print("failed, rc=");
            Serial.print(client.state());
            Serial.println(" retrying in 5 seconds");
            delay(5000);
        }
    }
}


void loop() {

  if((distance!=(distance_alt-1))&&(distance!=(distance_alt))&&(distance!=(distance_alt+1))){//+-1 um störungen herauszufiltern
    snprintf (msg,50,"%d", distance);
    Serial.print("Publish Motion: ");
    Serial.println(msg);
    client.publish("/home/data", msg);
    delay(500);
  }
}
